Subject: Re: Licensing
From: Corinna Vinschen <[email-masked]>
To: Erik B <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Mon, 3 Dec 2001 15:52:41 +0100

On Mon, Dec 03, 2001 at 03:29:43PM +0100, Erik B wrote:
> 
> Hi Corinna
> 
> Thanks for the answer
> 
> My application is a pure windows application,
> which accesses postgreSQL using JDBC.
> It does not use the cygwin.dll.
> 
> PostgreSQL itself uses the cygwin.dll.
> 
> Can I still use cygwin without violating the GPL?

Since the application using Cygwin is itself Open Source, I don't
see a problem here.  However, IANAL.  I would suggest to distribute
the full sources for all Open Source parts of your project (e.g
postgreSQL, Cygwin, etc.) the same way you're providing the binary
stuff.  So, if you're using a CD as distribution medium, just
put the sources on the same CD or create a second CD with just the
sources.  This way (and as long as your application isn't linked
agains the Cygwin DLL itself) you avoid a peck of trouble.

Hope, that helps,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/